<?xml version='1.0' encoding='UTF-8'?>
<bookkeeping id='' 
    xmlns='com/interrupt/bookkeeping'
    xmlns:account='com/interrupt/bookkeeping/account'
    xmlns:journal='com/interrupt/bookkeeping/journal' >
    
    <account:accounts id='' >
		
		<!--	1. account types are: asset,liability,expense,revenue,capital
				2. each account has a given counterWeight(debit or credit)
		-->
		<account:account type='' id='' name='' counterWeight='' >
			
			<account:debit />
			<account:credit />
		</account:account>
    </account:accounts>
    

	<journal:transactions id='' >
		
		
	    <!-- ** state can be 'open' or 'closed' -->
	    <journal:transaction id='' state='' journal='' date=''  >
		
		
		<!-- 1. each entry should have an 'entryid'
		     2. each debit/credit object has a reference to an 'entryid'
		     3. each debit/credit object has a reference to an 'accountid'
		    
		     ** state can be 'open', 'closed', or 'reversed' 
		-->
		<journal:entries id='' >
		<journal:entry id='' entrynum='' state='' journalid='' date='' >
		    <account:debit id='' amount='' entryid='' accountid='' />
		    <account:credit id='' amount='' entryid='' accountid='' />
		</journal:entry>
		</journal:entries>
	    </journal:transaction>
	    
	</journal:transactions>
		

</bookkeeping>


